/*------------------------------------------------------------------------------*\
 =============================
   模块名称: WaveShow.h
 =============================

 [目的]
 
     用波形显示PCM声音数据
     	  
 [描述]
	
	 可以以波形方式显示声音数据，并可以设置背景颜色，波线颜色。
	  
 [用法]
   
    1.先构造对象

	2.设置矩形区域、声音格式

	3.调用Paint函数显示波形
	 
 [依赖性]	
	 

 [修改记录]
 
  版本:    1.01.01
  日期:    01-11-6         
  作者:    Brant Q
  备注:

     目前该类之支持8位PCM格式数据

  版本:    1.01.02
  日期:    01-11-12
  作者:    Brant Q
  备注:
     
	 现在已经支持8位单双声道和16位单双声道PCM
	 
  -----------------------------------------------------------------------------

 [版权]
 
   2000-2002  115软件工厂  版权所有
                                              
\*------------------------------------------------------------------------------*/

#ifndef _WAVESHOW_H_
#define _WAVESHOW_H_


class CWaveShow:public CWndX
{

public:
	CWaveShow();
	COLORREF GetLineColor();
	void SetLineColor(COLORREF cr);
	COLORREF GetBgColor();
	void SetBgColor(COLORREF cr);
	BOOL Create(RECT &rc,HWND hParent);
	void GetFormat(WAVEFORMATEX& fmt);
	void SetFormat(WAVEFORMATEX* pfmt);
	virtual  ~CWaveShow();
	BOOL Paint(HDC hdc,char* buf,unsigned uSize);
protected:
	virtual LRESULT WndProc(UINT uMsg,WPARAM wParam,LPARAM lParam);
	virtual void OnPaint();
	HPEN m_hpLine;
	HBRUSH m_hbBg;
	HBITMAP m_hBmp;
	COLORREF m_crLine;
	COLORREF m_crBg;
	WAVEFORMATEX m_Format;
	
};


#endif